Bug 452663 - Review Request: andika-fonts - Andika SIL fonts
Review Request: andika-fonts - Andika SIL fonts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nicolas Mailhot
Fedora Extras Quality Assurance
http://scripts.sil.org/andika
:
Depends On:
Blocks: 481478
  Show dependency treegraph
 
Reported: 2008-06-24 08:32 EDT by Nicolas Mailhot
Modified: 2009-01-25 09:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-13 16:32:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mnowak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2008-06-24 08:32:57 EDT
Spec URL: http://nim.fedorapeople.org/andika-fonts.spec
SRPM URL: http://nim.fedorapeople.org/andika-fonts-1.0-1.fc10.nim.src.rpm

Description:
Andika is a sans serif, Unicode-compliant font designed especially for
literacy use, taking into account the needs of beginning readers. The focus is
on clear, easy-to-perceive letterforms that will not be readily confused with
one another.

A sans serif font is preferred by some literacy personnel for teaching people
to read. Its forms are simpler and less cluttered than those of most serif
fonts. For years, literacy workers have had to make do with fonts that were
not really suitable for beginning readers and writers. In some cases, literacy
specialists have had to tediously assemble letters from a variety of fonts in
order to get all of the characters they need for their particular language
project, resulting in confusing and unattractive publications. Andika
addresses those issues.

See also http://fedoraproject.org/wiki/SIL_Andika_fonts
Comment 1 Michal Nowak 2008-06-25 14:19:44 EDT
Informal package review:
========================


-Summary: Andika SIL fonts
+Summary: Andika is a sans serif font designed for literacy use and for
beginning readers

* No need to be so brief, ~80 chars are usually ok for rpmlint.
 
-* Tue Jun 24 2008 <nicolas.mailhot at laposte.net>
-- 1.0-1
-Ṑ Initial packaging
+* Tue Jun 24 2008 <nicolas.mailhot at laposte.net> - 1.0-1
+- Initial packaging
+

* Just indenting and ascii-sation.
--

Seems good to me.
Comment 2 Nicolas Mailhot 2008-06-25 15:48:58 EDT
(In reply to comment #1)
> Informal package review:
> ========================

> -Summary: Andika SIL fonts
> +Summary: Andika is a sans serif font designed for literacy use and for
> beginning readers
> 
> * No need to be so brief, ~80 chars are usually ok for rpmlint.

Actually rpmlint has a 79 column limit and your proposal is 80

Though I suppose
“A SIL sans serif font designed for literacy use and for beginning readers”
would be fine

> -* Tue Jun 24 2008 <nicolas.mailhot at laposte.net>
> -- 1.0-1
> -Ṑ Initial packaging
> +* Tue Jun 24 2008 <nicolas.mailhot at laposte.net> - 1.0-1

the rpm maintainers will tell you anything after the mail is garbage (but it's a
common mistake, even if the guidelines authorize both)

> +- Initial packaging

You'll take unicode out of my dead hands :) changelog is and always been UTF-8

> Seems good to me.

Thanks for the review, care to do an official one?
Comment 3 Michal Nowak 2008-06-30 04:48:39 EDT
I do. (But now focusing on being sponsored and having awesome package into the
distribution.)
Comment 4 Jens Petersen 2008-07-06 21:24:42 EDT
How about:

Summary: A font for literacy and beginning readers
Comment 5 Nicolas Mailhot 2008-07-07 04:24:01 EDT
Why not, care to take the review?
Comment 6 Jens Petersen 2008-07-08 03:29:28 EDT
I will keep in my radar - maybe I can get to it next week - unfortunately I
don't have time right now.
Comment 7 Jens Petersen 2008-07-11 03:51:14 EDT
So I guess this should be named sil-andika-fonts if we are going to move to the new
naming conventations?
Comment 8 Nicolas Mailhot 2008-07-11 05:00:27 EDT
yes it would. I hesitated going directly to sil-andika-fonts, but I'd rather
change every font package in one go than have packages with different
conventions in the same repo.
Comment 9 Nicolas Mailhot 2008-07-11 05:01:16 EDT
(In reply to comment #3)
> I do. (But now focusing on being sponsored and having awesome package into the
> distribution.)

It seems a nice fairy sponsored you. Care to do an official review now? :)
Comment 10 Michal Nowak 2008-07-13 11:27:32 EDT
Will do official review.
Comment 11 Michal Nowak 2008-07-13 12:22:23 EDT
MUST Items:

PASS - MUST: rpmlint must be run on every package. 
PASS - MUST: The package must be named according to the Package Naming Guidelines .
PASS - MUST: The spec file name must match the base package %{name}, in the format 
PASS - MUST: The package must meet the Packaging Guidelines .
PASS - MUST: The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines .
PASS - MUST: The License field in the package spec file must match the actual
license.
PASS - MUST: If (and only if) the source package includes the text of the
license(s) ...
PASS - MUST: The spec file must be written in American English.
PASS - MUST: The spec file for the package MUST be legible. If the reviewer is
unable to read 
PASS - MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. 
- did sha1sum; sources matches
 NA - MUST: The package must successfully compile and build into binary rpms on
at least one supported architecture.
 NA - MUST: If the package does not successfully compile, build or work on an
architecture, 
 NA - MUST: All build dependencies must be listed in BuildRequires
 NA - MUST: The spec file MUST handle locales properly. 
 NA - MUST: Every binary RPM package which stores shared library files
 NA - MUST: If the package is designed to be relocatable, the packager must state 
PASS - MUST: A package must own all directories that it creates. 
PASS - MUST: A package must not contain any duplicate files in the %files listing.
PASS - MUST: Permissions on files must be set properly. Executables should be
set with 
PASS - MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot}
PASS - MUST: Each package must consistently use macros, as described in the 
PASS - MUST: The package must contain code, or permissable content. 
 NA - MUST: Large documentation files should go in a -doc subpackage. 
PASS - MUST: If a package includes something as %doc, it must not affect the
runtime of the application. 
 NA - MUST: Header files must be in a -devel package.
 NA - MUST: Static libraries must be in a -static package.
 NA - MUST: Packages containing pkgconfig(.pc) files 
 NA - MUST: If a package contains library files with a suffix 
 NA - MUST: In the vast majority of cases, devel packages must require 
 NA - MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
 NA - MUST: Packages containing GUI applications must include a %{name}.desktop file
PASS - MUST: Packages must not own files or directories already owned by other
packages. 
PASS - MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
PASS - MUST: All filenames in rpm packages must be valid UTF-8.
- UTF8 + ASCII (sub-set of UTF*)

SHOULD Items:

 NA - SHOULD: If the source package does not include license text(s) 
 NA - SHOULD: The description and summary sections in the package spec file
should contain 
 NA - SHOULD: The reviewer should test that the package builds in mock. 
- no deps - no mock
PASS - SHOULD: The package should compile and build into binary rpms on all
supported architectures.
PASS - SHOULD: The reviewer should test that the package functions as described. 
- took a look via gnome-font-viewer
PASS - SHOULD: If scriptlets are used, those scriptlets must be sane. 
 NA - SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
 NA - SHOULD: The placement of pkgconfig(.pc) 
 NA - SHOULD: If the package has file dependencies outside of /etc, /bin, 

Overall:

PASS
Comment 12 Nicolas Mailhot 2008-07-13 12:40:48 EDT
Many thanks.
I you don't have anything else to add please set the fedora-review flag to "+"
now, so the PASS is official

⇓⇓⇓⇓
Comment 13 Michal Nowak 2008-07-13 12:57:48 EDT
Sure. 

Done.
Comment 14 Nicolas Mailhot 2008-07-13 13:27:35 EDT
Michal Nowak: congratulation on your first package and first official review.
Hope you'll do many more of them in the future.

New Package CVS Request
=======================
Package Name: andika-fonts
Short Description: A font for literacy and beginning readers
Owners: nim
Branches: devel only
InitialCC: fonts-sig
Cvsextras Commits: yes
Comment 15 Kevin Fenzi 2008-07-13 15:10:53 EDT
cvs done.
Comment 16 Nicolas Mailhot 2008-07-13 16:32:50 EDT
All done.
Thanks to everyone involved

Note You need to log in before you can comment on or make changes to this bug.